Creates or replaces the configuration of the fault type for the identified account.
Set Fault Config
put
/api/accounts/{accountId}/fault-configs/{faultTypeName} Request
Path Parameters
accountIdstringrequiredID of the account to set the fault config for.
faultTypeNamestringrequiredThe name of the fault type to set the configuration for. See List Fault Types endpoint.
Body application/json
valuestringThe value to set for the fault type. Accepts a string, number (as a string), or boolean (as a string), as required by the referenced fault type.
Response
Successful operation.
Body application/json
accountIdstringThe ID of the account the fault config is for.
faultTypeNamestringThe name of the fault type the configuration is for.
valuestringThe value set for the fault config. This is returned as a string, but can represent a string, number, or boolean, depending on the fault type.
createdAtstringThe timestamp when the fault config was created.
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring